%define url_ver %(echo %{version}|cut -d. -f1,2)
%define build_with_python 1
%define name    mate-text-editor
%define oname   pluma

Summary:       Small but powerful text editor for MATE
Name:          %{name}
Version:       1.6.2
Release:       %mkrel 1
License:       GPLv2+
Group:         Editors
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (Patch by Atilla ÖNTAŞ) when forking from Gnome2, accelerators directory and user
# storage directory was messed. This patch fixes this issue.
Patch0:        mate-text-editor-1.6.0-mga-fix_config_dirs.patch

BuildRequires: aspell-devel
BuildRequires: iso-codes
BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(gtksourceview-2.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
%if %{build_with_python}
BuildRequires: pkgconfig(pygobject-2.0)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(pygtksourceview-2.0)
BuildRequires: python
%endif

Requires:       pyorbit
# the run-command plugin uses zenity
Requires:       zenity
Provides:       %{oname} = %{version}-%{release}
Obsoletes:      %{oname} =< %{version}-%{release}

%description
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:    Development/C
Summary:  Headers for writing Pluma plugins
Provides: %{name}-devel = %{version}-%{release}
Provides: %{oname}-devel = %{version}-%{release}

%description devel
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use Pluma's API.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --enable-gtk-doc     \
        --enable-gvfs-metadata    \
%if %{build_with_python}
        --enable-python
%else
        --disable-python
%endif

%make LIBS='-lm -lgmodule-2.0'

%install

%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete

%{find_lang} %{oname} --with-gnome
for omf in %buildroot%_datadir/omf/%oname/%oname-??*.omf;do 
    echo "%lang($(basename "$omf"|sed -e s/%name-// -e s/.omf//)) $(echo "$omf"|sed -e s!%buildroot!!)" >> %oname.lang
done

# Remove unneded MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%files  -f %{oname}.lang
%doc README COPYING AUTHORS
%{_bindir}/pluma
%{_bindir}/mate-text-editor
%{_datadir}/pluma
%{_datadir}/mate/help/pluma
%{_datadir}/applications/pluma.desktop
%{_mandir}/man1/*
%{_libexecdir}/pluma
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%dir %{_datadir}/omf/pluma
%{_datadir}/omf/pluma/*-C.omf
%dir %{_libdir}/%{oname}
%dir %{_libdir}/%{oname}/plugin-loaders
%{_libdir}/%{oname}/plugin-loaders/libcloader.so
%{_libdir}/%{oname}/plugin-loaders/libpythonloader.so
%dir %{_libdir}/%{oname}/plugins
%{_libdir}/%{oname}/plugins/changecase.pluma-plugin
%{_libdir}/%{oname}/plugins/docinfo.pluma-plugin
%{_libdir}/%{oname}/plugins/filebrowser.pluma-plugin
%{_libdir}/%{oname}/plugins/libtaglist.so
%{_libdir}/%{oname}/plugins/modelines.pluma-plugin
%{_libdir}/%{oname}/plugins/sort.pluma-plugin
%{_libdir}/%{oname}/plugins/spell.pluma-plugin
%{_libdir}/%{oname}/plugins/taglist.pluma-plugin
%{_libdir}/%{oname}/plugins/time.pluma-plugin
%{_libdir}/%{oname}/plugins/libchangecase.so
%{_libdir}/%{oname}/plugins/libdocinfo.so
%{_libdir}/%{oname}/plugins/libfilebrowser.so
%{_libdir}/%{oname}/plugins/libmodelines.so
%{_libdir}/%{oname}/plugins/libsort.so
%{_libdir}/%{oname}/plugins/libspell.so
%{_libdir}/%{oname}/plugins/libtime.so
%if %{build_with_python}
%{_libdir}/%{oname}/plugins/externaltools.pluma-plugin
%{_libdir}/%{oname}/plugins/pythonconsole.pluma-plugin
%{_libdir}/%{oname}/plugins/quickopen.pluma-plugin
%{_libdir}/%{oname}/plugins/snippets.pluma-plugin
%{_libdir}/%{oname}/plugins/externaltools/*
%{_libdir}/%{oname}/plugins/pythonconsole/*
%{_libdir}/%{oname}/plugins/quickopen/*
%{_libdir}/%{oname}/plugins/snippets/*
%endif

%files devel
%{_includedir}/pluma
%{_libdir}/pkgconfig/pluma.pc
%_datadir/gtk-doc/html/*




%changelog
* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 565724
- Bugfix release : 1.6.2

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563706
- new bugfix version:1.6.1

* Fri Dec 13 2013 tarakbumba <tarakbumba> 1.6.0-5.mga4
+ Revision: 556610
- Respect global mate user config dir.
- Fix accels not working issue

* Fri Dec 06 2013 tarakbumba <tarakbumba> 1.6.0-4.mga4
+ Revision: 555740
- Fixes hardcoded python sitelibs in configure.ac
- Make escape sequence parsing in search a GUI checkbox option
- Add assertion checks
- Recover missed data assignment

* Mon Nov 25 2013 tarakbumba <tarakbumba> 1.6.0-3.mga4
+ Revision: 553505
- Fix search/replace of strings containing backslashes
- Fix print to file option

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445525
- imported package mate-text-editor

